Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.lowagie.text
Class Anchor

    java.lang.Object
      java.util.AbstractCollection<E>
          java.util.AbstractList<E>
              java.util.ArrayList
                  com.lowagie.text.Phrase
                      com.lowagie.text.Anchor

All Implemented Interfaces:
  Element, TextElementArray, Serializable, Cloneable, Iterable, Collection, List, RandomAccess

    public class Anchor

extends Phrase

An `Anchor` can be a reference or a destination of a reference.

An `Anchor` is a special kind of `Phrase`. It is constructed in the same way.

Example:

>      Anchor anchor = new Anchor("this is a link");
>      anchor.setName("LINK");
>      anchor.setReference("http://www.lowagie.com");

See Also:
  `Element`, `Phrase`, Serialized Form

Field Summary
`protected String` | `name` This is the name of the `Anchor`.
`protected String` | `reference` This is the reference of the `Anchor`.
`private static long` | `serialVersionUID`

Fields inherited from class com.lowagie.text.Phrase
`font, leading`

Fields inherited from class java.util.AbstractList
`modCount`

Fields inherited from interface com.lowagie.text.Element
`ALIGN_BASELINE, ALIGN_BOTTOM, ALIGN_CENTER, ALIGN_JUSTIFIED, ALIGN_JUSTIFIED_ALL, ALIGN_LEFT, ALIGN_MIDDLE, ALIGN_RIGHT, ALIGN_TOP, ALIGN_UNDEFINED, ANCHOR, ANNOTATION, AUTHOR, CCITT_BLACKIS1, CCITT_ENCODEDBYTEALIGN, CCITT_ENDOFBLOCK, CCITT_ENDOFLINE, CCITTG3_1D, CCITTG3_2D, CCITTG4, CELL, CHAPTER, CHUNK, CREATIONDATE, CREATOR, HEADER, IMGRAW, IMGTEMPLATE, JPEG, JPEG2000, KEYWORDS, LIST, LISTITEM, MARKED, MULTI_COLUMN_TEXT, PARAGRAPH, PHRASE, PRODUCER, PTABLE, RECTANGLE, ROW, SECTION, SUBJECT, TABLE, TITLE`

Constructor Summary
`Anchor()` Constructs an `Anchor` without specifying a leading.
`Anchor(Chunk chunk)` Constructs an `Anchor` with a certain `Chunk`.
`Anchor(float leading)` Constructs an `Anchor` with a certain leading.
`Anchor(float leading, Chunk chunk)` Constructs an `Anchor` with a certain `Chunk` and a certain leading.
`Anchor(float leading, String string)` Constructs an `Anchor` with a certain leading and a certain `String`.
`Anchor(float leading, String string, Font font)` Constructs an `Anchor` with a certain leading, a certain `String` and a certain `Font`.
`Anchor(Phrase phrase)` Constructs an `Anchor` with a certain `Phrase`.
`Anchor(Properties attributes)` Deprecated. As of iText 2.0.3, replaced by `ElementFactory.getAnchor(Properties)`, scheduled for removel at 2.1.0
`Anchor(String string)` Constructs an `Anchor` with a certain `String`.
`Anchor(String string, Font font)` Constructs an `Anchor` with a certain `String` and a certain `Font`.

Method Summary
`ArrayList` | `getChunks()` Gets all the chunks in this element.
`String` | `getName()` Returns the name of this `Anchor`.
`String` | `getReference()` Gets the reference of this `Anchor`.
`URL` | `getUrl()` Gets the reference of this `Anchor`.
`String` | `name()` Deprecated. As of iText 2.0.3, use `getName()` instead, scheduled for removal at 2.1.0
`boolean` | `process(ElementListener listener)` Processes the element by adding it (or the different parts) to an `ElementListener`.
`String` | `reference()` Deprecated. As of iText 2.0.3, use `getReference()` instead, scheduled for removal at 2.1.0
`void` | `setName(String name)` Sets the name of this `Anchor`.
`void` | `setReference(String reference)` Sets the reference of this `Anchor`.
`int` | `type()` Gets the type of the text element.
`URL` | `url()` Deprecated. As of iText 2.0.3, use `getUrl()` instead, scheduled for removal at 2.1.0

Methods inherited from class com.lowagie.text.Phrase
`add, add, addAll, addChunk, addSpecial, content, font, getContent, getFont, getInstance, getInstance, getInstance, getLeading, hasLeading, isEmpty, leading, leadingDefined, setFont, setLeading`

Methods inherited from class java.util.ArrayList
`addAll, clear, clone, contains, ensureCapacity, get, indexOf, lastIndexOf, remove, remove, removeRange, set, size, toArray, toArray, trimToSize`

Methods inherited from class java.util.AbstractList
`equals, hashCode, iterator, listIterator, listIterator, subList`

Methods inherited from class java.util.AbstractCollection
`containsAll, removeAll, retainAll, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface com.lowagie.text.Element
`toString`

Methods inherited from interface java.util.List
`containsAll, equals, hashCode, iterator, listIterator, listIterator, removeAll, retainAll, subList`

Field Detail

### serialVersionUID

    private static final long serialVersionUID

See Also:
  Constant Field Values

### name

    protected String name

  This is the name of the `Anchor`.

### reference

    protected String reference

  This is the reference of the `Anchor`.

Constructor Detail

### Anchor

    public Anchor()

  Constructs an `Anchor` without specifying a leading.

### Anchor

    public Anchor(float leading)

  Constructs an `Anchor` with a certain leading.

  Parameters:
    `leading` - the leading

### Anchor

    public Anchor(Chunk chunk)

  Constructs an `Anchor` with a certain `Chunk`.

  Parameters:
    `chunk` - a `Chunk`

### Anchor

    public Anchor(String string)

  Constructs an `Anchor` with a certain `String`.

  Parameters:
    `string` - a `String`

### Anchor

    public Anchor(String string,
                  Font font)

  Constructs an `Anchor` with a certain `String` and a certain `Font`.

  Parameters:
    `string` - a `String`
    `font` - a `Font`

### Anchor

    public Anchor(float leading,
                  Chunk chunk)

  Constructs an `Anchor` with a certain `Chunk` and a certain leading.

  Parameters:
    `leading` - the leading
    `chunk` - a `Chunk`

### Anchor

    public Anchor(float leading,
                  String string)

  Constructs an `Anchor` with a certain leading and a certain `String`.

  Parameters:
    `leading` - the leading
    `string` - a `String`

### Anchor

    public Anchor(float leading,
                  String string,
                  Font font)

  Constructs an `Anchor` with a certain leading, a certain `String` and a certain `Font`.

  Parameters:
    `leading` - the leading
    `string` - a `String`
    `font` - a `Font`

### Anchor

    public Anchor(Phrase phrase)

  Constructs an `Anchor` with a certain `Phrase`.

  Parameters:
    `phrase` - a `Phrase`

### Anchor

    public Anchor(Properties attributes)

  Deprecated. As of iText 2.0.3, replaced by `ElementFactory.getAnchor(Properties)`, scheduled for removel at 2.1.0

  Returns an `Anchor` that has been constructed taking in account the value of some attributes.

  Parameters:
    `attributes` - Some attributes

Method Detail

### process

    public boolean process(ElementListener listener)

  Processes the element by adding it (or the different parts) to an `ElementListener`.

  Specified by:
    `process` in interface `Element`
  Overrides:
    `process` in class `Phrase`
  Parameters:
    `listener` - an `ElementListener`
  Returns:
    `true` if the element was processed successfully

### getChunks

    public ArrayList getChunks()

  Gets all the chunks in this element.

  Specified by:
    `getChunks` in interface `Element`
  Overrides:
    `getChunks` in class `Phrase`
  Returns:
    an `ArrayList`

### type

    public int type()

  Gets the type of the text element.

  Specified by:
    `type` in interface `Element`
  Overrides:
    `type` in class `Phrase`
  Returns:
    a type

### setName

    public void setName(String name)

  Sets the name of this `Anchor`.

  Parameters:
    `name` - a new name

### setReference

    public void setReference(String reference)

  Sets the reference of this `Anchor`.

  Parameters:
    `reference` - a new reference

### getName

    public String getName()

  Returns the name of this `Anchor`.

  Returns:
    a name

### getReference

    public String getReference()

  Gets the reference of this `Anchor`.

  Returns:
    a reference

### getUrl

    public URL getUrl()

  Gets the reference of this `Anchor`.

  Returns:
    an `URL`

### name

    public String name()

  Deprecated. As of iText 2.0.3, use `getName()` instead, scheduled for removal at 2.1.0

  Returns the name of this `Anchor`.

  Returns:
    a name

### reference

    public String reference()

  Deprecated. As of iText 2.0.3, use `getReference()` instead, scheduled for removal at 2.1.0

  Gets the reference of this `Anchor`.

  Returns:
    a reference

### url

    public URL url()

  Deprecated. As of iText 2.0.3, use `getUrl()` instead, scheduled for removal at 2.1.0

  Gets the reference of this `Anchor`.

  Returns:
    an `URL`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD